*,
::before,
::after {
  box-sizing: border-box;
  border-width: 0;
  border-style: solid;
  border-color: #35373F;
}

::before,
::after {
  --tw-content: '';
}

html {
  line-height: 1.5; 
  -webkit-text-size-adjust: 100%;
  -moz-tab-size: 4;
  -o-tab-size: 4;
     tab-size: 4; 
  font-family: Inter, sans-serif;
}

body {
    background-color: #141312;
    overscroll-behavior: none;
    margin: 0;
    padding: 0;
}

.body {  
    margin: 0 auto;    
    max-width: 1920px;       
    width: 100%;
}

/* HEADER */

.header {
    width: 100%;
    max-width: 1920px;
    height: fit-content;
    position: relative;
}

.header-content {
  position: relative;
  width: 100%;
  max-width: 1920px;
  height: 100%;
  display: flex;
  justify-content: center;
}

.header-container {
  position: relative;
  width: 100%;
  height: fit-content;
  overflow: hidden;
  display: flex;
  align-items: flex-start;
  justify-content: center;
}

.hero-image-content {
  width: 100%; 
  max-width: 1920px;
  height: auto;
  overflow: hidden;
}

.hero-image {
  width: 100%;
  max-width: 1920px;  
  height: auto;  
  display: block;
  object-fit: cover;
  overflow: hidden;
}

.header-shadow {
  position: absolute;
  inset: 0;
  box-shadow: inset 0 60px 40px 0 #12110F;
  background: rgba(0,0,0,0.1);
}

.header-nav {
  position: absolute;
  width: 100%;
  max-width: 1920px;
  height: fit-content;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-inline: 1rem;
  padding-top: 1rem;
}

.nav-logo {
  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  height: 1rem;
}

.nav-img {
  height: 2.5rem;
  width: auto;
}

.nav-links {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  font-weight: bold;
  margin: 0;
  padding: 0;
  list-style-type: none;
}

.nav-link {
  font-size: 1.2rem;
  text-decoration: none;
  color: #fffbe6;
}

.nav-link:hover {
  color: #FD9D2D;
}

@media (max-width: 400px) {
  .header-shadow {
    box-shadow: inset 0 40px 30px 0 #12110F;
  }
  .header-nav {
    padding-top: 0.5rem;
  }
  .nav-img {
    height: 1.825rem;
  }
  .nav-link {
    font-size: 0.85rem;
  }
}

@media (min-width: 768px) {
  .header-shadow {
    box-shadow: inset 0 80px 60px 0 #12110F
  }
  .nav-img{
    height: 3rem;
  }
  .nav-link {
    font-size: 1.5rem;
  }
  .nav-links {
    gap: 2.5rem;
  }
  .header-nav {
    padding-inline: 2rem;
    padding-top: 1rem;
  }  
}


@media (min-width: 1024px) {
  .header-shadow {
    box-shadow: inset 0 100px 80px 0 #12110F
  }
  .nav-img {
    height: 5rem;
  }
  .nav-link {
    font-size: 2rem;
  }
}

/* FRONTPAGE */
.page-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
}

.main {
  /*background-image: url('http://127.0.0.1:8000/assets/taust.png'); */
  background-position: center;
  background-size: cover;
  max-width: 1920px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  padding-inline: 1.5rem;
}

.main-items {
  display: flex;
  flex-direction: column;
  gap: 4rem;
  align-items: center;
  justify-content: center;
  padding-top: 4rem;
}

.main-menu {
  font-size: 1.825rem;
  line-height: normal;
  font-weight: bold;
  color: #FD9D2D;
  margin: 0;
  text-align: center;
}

.menu-container {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  width: 100%;
  max-width: 1920px;
  height: fit-content;
  align-items: center;
  text-align: center;
}

.reverse {
  display: flex;
  flex-direction: column-reverse;
}

.desc-img {
  display: flex;
  flex: 1;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  width: 100%;
}

.desc-img img{
  width: 100%;
  max-width: 36.25rem;
  height: 300px;
  object-fit: cover;
  object-position: center;
}

.desc {
  display: flex;
  flex: 1;
  flex-direction: column;
  align-items: center;
  justify-content: evenly;
  height: 100%;
  text-align: center;
}

.desc p {
  margin-top: 1rem;
  max-width: 36.25rem;
  font-size: 1.2rem;
  line-height: 1.5rem;
  color:#fffbe6;
}

.desc a {
  margin-top: 1.5rem;
  display: inline-block;
  border-width: 1px; 
  border-style: solid;
  border-radius: 2rem;
  border-color: #fffbe6;
  width: 15rem;
  padding-block: 0.5rem;
  padding-inline: 1rem;
  font-size: 1rem;
  line-height: 1.5rem;
  text-decoration: none;
  color:#fffbe6;
}

.info-container {
  margin-inline: auto;
  display: flex;
  justify-content: space-evenly;
  gap: 3rem;
  flex-wrap: wrap;
  width: 100%;
  text-align: center;
}

.info-content {
  display: flex;
  flex-direction: column;
  flex: 1;
  align-items: center;
  justify-content: start;
  gap: 0.5rem;
  width: 100%;
}

.info-content h3 {
  margin-bottom: 0.5rem;
  font-weight: bold;
  font-size: 1.2rem;
  color: #fffbe6;
}

.map-container {
  display: flex;
  justify-content: center;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.hours {
  padding: 0;
  display: flex;
  justify-content: center;
  width: 100%;
  gap: 1.25rem;
}

.dates-times {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 25rem;
  justify-content: space-between;
  gap: 0rem;
  text-align: left;
  text-wrap: nowrap;
  font-size: 0.9rem;
  line-height: 1rem;
}

.date-time {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 1.5rem;
  width: 100%;
  color: #fffbe6;
}

.date-time p{
  width: 100%;
}

.hours {
  width: 100%;
  max-width: 25rem;
  text-align: center;
  display: flex;
  justify-content: flex-end;
  align-items: flex-end;
}

.contact {
  display: flex;
  flex-direction: column; 
  gap: 0rem;
  text-wrap: nowrap;
  color: #fffbe6;
  width: 100%;
}

.contact p {
  font-size: 0.9rem;
  line-height: 1rem; 
}

.social-media-icons {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 2rem;
}

.social-icon {
    background-color: #FFFDF1;
    width: 2.5rem;
    height: 2.5rem;
    border-radius: 2rem;  
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
}

.fa-facebook {
    color: #fffbe6;
    background-color: #141312;
    border-radius:inherit;
    font-size: 2.5rem;
}

.fa-instagram {
    color: #141312;
    background-color: #fffbe6;
    border-radius: 2rem;  
    font-size: 2rem;
}

@media (min-width: 768px) {
  .homeLogo {
    width: 15rem;
  }
  .desc p {
    font-size: 1.2rem;
    line-height: 1.5rem;
  }

  .desc a {
    width: fit-content;
    font-size: 1.2rem;
    padding: 0.5rem 1.5rem;
  }

  .info-content {
    gap: 1.5rem;
  }

  .info-content h3 {
  font-size: 1.5rem;
  }

  .hours {
    font-size: 1rem;
    text-wrap: nowrap;
  }

  .hours p {
    font-size: 1.125rem;
  }

  .contact p {
    font-size: 1.125rem;
  }

  .dates-times, .contact {
      gap: 0.825rem;
  }

  .dates-times p{
    font-size: 1.225rem;
    line-height: 1.25rem;  
  }

  .contact p{
    font-size: 1.225rem;
    line-height: 1.25rem;  
  }

}  

@media (min-width: 1024px) {
  .desc p {
    font-size: 2rem;
    line-height: 2.5rem;
  }

  
  .desc a {
    width: fit-content;
    font-size: 1.75rem;
    padding: 1rem 2rem;
  }

}  

.desc a:hover{
    background: #fffbe6;
    color: #141312;
}

/* ABOUT US */
.about-container {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: fit-content;
} 

.about-container-reverse {
  display: flex;
  flex-direction: column-reverse;
}

.about-content {
  display: flex;
  flex: 1;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  width: 100%;
  height: 100%;
}

.about-heading {
  font-size: 1.5rem;
  font-weight: bold;
  color: #fffbe6;
  margin: 0;
  text-align: center;
}

.about-paragraph {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  text-align: center;
  color: #fffbe6;
}

.about-paragraph p{
  margin: 0;
  font-size: 1rem;
  font-weight: normal;
  line-height: 1.5rem;
}
.about-paragraph-heading{
  margin: 0;
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: normal;
}

.about-images {
  gap: 2rem;
  height: 100%;
}

.about-image {
  display: flex;
  justify-content: center;
  align-items: center;
  width: auto;
  height: fit-content;
}

.about-img {
  width: 20rem;
  height: auto;
}

.ceramics-image {
  display: flex;
  justify-content: center;
  align-items: center;
  height: fit-content;
  width: 100%;
}

.c-img {
  width: 16rem;
  height: auto;     
}

.about-gallery {
  width: 100%;
  height: fit-content;
  display: flex;
  flex-direction: column;
  gap: 2rem;
  overflow: hidden;
  margin-inline: auto;
  padding-top: 2rem;
}

.gallery-heading {
  font-size: 1.825rem;
  line-height: 2.25rem;
  text-align: left;
  font-weight: bold;
  color: #fffbe6;
  margin: 0;
}

.gallery-images {
  position: relative;
  width: 100%;
  height: fit-content;
  overflow: hidden;
}

.gallery-slides {
  display: flex;
  justify-content: center;
  height: fit-content;
  gap: 1.5rem;
  animation: scroll 20s linear infinite;
}

.slide-img {
  width: 25rem;
  height: 33.25rem;
  object-fit: cover;
}

#slider {
    display: flex;
    width: max-content;
    animation: scrollSlider 40s linear infinite;
}

@media (max-width: 450px) {
  .about-img {
    width: 100%;
    height: auto;     
  }  
  .c-img {
    width: 100%;
    height: auto;     
    padding: 1.5rem;
  } 

  .about-paragraph {
    padding-left: 0rem;
    padding-right: 0rem;
  }

  .gallery-heading {
    font-size: 1.825rem;
  } 
  .slide-img{
    width: 10rem;
    height: auto;
  }  
}

@media (min-width: 450px) {
  .slide-img{
    width: 15rem;
    height: auto;
  }    
}

@media (min-width: 768px){
  .about-container {
    flex-direction: row;
    padding-left: 2rem;
    padding-top: 2rem;
    padding-bottom: 2rem;
    gap: 4rem;
  }

  .about-heading {
    font-size: 2rem;
  }

  .about-paragraph {
    text-align: left;
  }
  
  .about-paragraph p{
    font-size: 1.25rem;
    line-height: 1.75rem;
  }
  
  .about-paragraph-heading{
    font-size: 1.25rem;
    line-height: 1.75rem;
  }

  .about-heading{
    font-size: 2rem;
  }
  .about-img {
    width: 100%;
    height: auto;
  }
  .c-img {
    width: 22rem;
    height: 29.26rem;     
  }
  .slide-img{
    width: 18rem;
    height: 23.94rem;
  }
  
}

@media (min-width: 1024px) {
  .about-heading{
    font-size: 3rem; 
  }
  .about-paragraph p{
    font-size: 1.5rem;
    line-height: 2rem;
  }
  .about-paragraph-heading{
    font-size: 1.5rem;
    line-height: 2rem;
  }

  .ceramics-paragraph {
    width: 30rem;
  }

  .about-container {
    padding-left: 4rem;
    padding-top: 4rem;
  }
  .about-gallery {
    padding-top: 4rem;
  }

  .about-img {
    width: 28rem;
    height: auto;
  }
  .c-img {
    width: 30rem;
    height: auto;
  }    
  
  .slide-img {
    width: 20rem;
    height: 26.6rem; 
  } 
}

/* MENU */
.food-container {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 3rem;
  width: 100%;
  max-width: 80rem;
}

.menu-heading {
  font-size: 1.5rem;
  line-height: normal;
  font-weight: bold;
  color: #FD9D2D;
  margin: 0;
  text-align: center;
}

.pizza-items {
  display: grid;
  grid-template-columns: repeat(1, minmax(0, 1fr));
  row-gap: 2rem;
  width: 100%;
  max-width: 25rem;
  overflow-y: auto;
}

.additives-container {
  display: flex;
  gap: 1rem;  
  width: 100%;
}

.additives-content {
  display: flex;
  flex-direction: column;
  gap: 1rem;  
  width: 100%;
  max-width: 30rem;
}

.additives {
    font-size: 1rem;
    line-height: 1.5rem;
    font-weight: 550;
    margin: 0;
    color: #FD9D2D;
}

.additive {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 1rem;
  width: 100%;
}

.additive-item {
  color: #FD9D2D;
  font-size: 0.85rem;
  font-weight: bold;
  width: fit-content;
  margin: 0;
}

.food-containers {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 3rem;
  column-gap: 2.5rem;
  max-width: 25rem;
}

.food-row {
  display: flex;
  flex-direction: column;
  flex: 1;
  gap: 3rem;
}

.burger-items, .snack-items, .fry-items, .salad-items {
  display: grid;
  grid-template-columns: repeat(1, minmax(0, 1fr));
  row-gap: 2rem;
  column-gap: 7.5rem;
  width: 100%;
  overflow-y: auto;
}

.drinks-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  column-gap: 7.5rem;
}

.drinks-content {
  display: flex;
  flex-direction: column;
  width: 100%;
  justify-content: space-between;
  row-gap: 2rem;
  column-gap: 7.5rem;
  max-width: 25rem;  
}

.drinks-grid {
  display: grid;
  grid-template-columns: repeat(1, minmax(0, 1fr));
  row-gap: 2rem;
  width: 100%;
  overflow-y: auto;
}

/* MENU ITEMS */
.menu-items {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: 100%;
  max-width: 30rem;
}

.item-info {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  gap: 1.25rem;
}

.item-info-text {
    font-size: 0.85rem;
    line-height: 1rem;
    margin: 0;
    font-weight: bold;
    width: fit-content;
    color: #fffbe6;
}

.item-desc {
  color: #fffbe6;
  font-size: 0.75rem;
  font-weight: 300;
  margin: 0;
  width: 100%;
}

@media (max-width: 450px) {
  .drinks-content {
    flex-direction: column;
    gap: 2rem;
  }
}

@media (min-width: 768px)  {
  .pizza-items {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    column-gap: 8rem;
    row-gap: 3rem;
    max-width: 100%;
  }

  .food-containers {
    flex-direction: row;
    column-gap: 8rem;
    max-width: 80rem;
}

  .drinks-container {
    max-width: 80rem;
}

  .food-container {
    padding-top: 4rem;
  }

  .menu-heading {
    font-size: 2.5rem;
  }
    .main-menu {
    font-size: 2.825rem;
    }

  .menu-items, .additives-content {
    max-width: 100%;
  }

  .drinks-content {
    flex-direction: row;
    column-gap: 8rem;
    max-width: 100%;
  }
  .item-info {
    width: 100%;
  }

  .item-info-text {
    font-size: 1rem;
    line-height: 1.5rem;
    margin: 0;
  }
  .item-desc {
    font-size: 0.85rem;
    line-height: 1.25rem;
    margin: 0;
  }
}



/* FOOTER */
.footer-section {
  width: 100%;
}

footer {
  width: 100%;
  max-width: 1920px;
  height: fit-content;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 1rem;
  padding-top: 2rem;
}

.footer-container {
  display: flex;
  flex-direction: column;
  height: 100%;
  width: 100%;
  align-items: center;
  justify-content: space-between;
  gap: 1.25rem;
}

.footer-content {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: flex-start;
  color: #fffbe6;
}

.footer-contact {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
  text-align: left;
  width: fit-content;
  height: 100%;
}

.footer-logo {
  width: 10rem;
  height: auto;
}

.footer-contact p {
  margin: 0;
  font-size: 1rem;
  line-height: 1.5rem;
}

.social-media {
  display: flex;
  flex-direction: column;
  width: 100%;
  align-items: end;
  align-self: flex-end;
  justify-content: center;
}

.footer-border {
  width: 100%;
  height: 100%;
  border-bottom: 2px solid #fffbe6;
}

.social-link {
  padding-block: 1rem;
  color: #fffbe6;
  text-decoration: none;
  font-weight: bold;
}

@media (max-width: 768px){
.home-logo {
  height: auto;
  width: 12rem;
  }
}

@media (max-width: 400px){
.home-logo {
  height: auto;
  width: 8rem;
  }
}

@media (min-width: 768px){
  .footer p, .footer a {
    font-size: 1rem;
    line-height: 1rem;
  }

  .footer-contact p {
    white-space: nowrap;
  }
  
  .footer-container {
  flex-direction: row;
  }

  .menu-container {
    align-content: center;
    justify-content: center;
    justify-self: center;
    flex-direction: row;
    width: 100%;
  }

  .desc-img img {
    height: auto;
    width: 100%;
  }

  .home-logo {
  height: auto;
  width: 14rem;
  }
}

@media (min-width: 1024px){
  .footer{
    flex-direction: row;
  }

  .footer-content {
    width: fit-content;
  }

  .desc-img img {
    height: auto;
    width: 100%;
  }
  .home-logo {
    height: auto;
    width: 16rem;
  }
}